USERADD(8)

NOM
useradd - crée un nouvel utilisateur ou modifie les informations par défaut appliquées aux nouveaux utilisateurs

SYNOPSIS

useradd [-c commentaire] [-d rép_perso]
    [-e date_fin_validité] [-f durée_inactivité]
    [-g groupe_initial] [-G groupe[,...]]
    [-m [-k rép_squelette]] [-o] [-p mot_de_passe]
    [-s interpréteur] [-u uid] utilisateur

useradd -D [-g groupe_défaut] [-b rép_perso_défaut]
    [-e date_fin_validité_défaut] [-f durée_inactivité_défaut]
    [-s interpréteur_défaut]

DESCRIPTION

  Création de nouveaux utilisateurs
Quand elle est invoquée sans l'option -D, la commande useradd crée un nouveau compte utilisateur qui utilise les valeurs spécifiées sur la ligne de commande et les valeurs par défaut du système. Le nouveau compte utilisateur sera inséré dans les fichiers du système quand c'est nécessaire, le répertoire personnel sera créé, et les fichiers initiaux copiés, en fonction des options présentes en ligne de commande. Les options qui s'appliquent à la commande useradd sont :

-c commentaire
    Le champ de commentaire du fichier de mots de passe pour le nouvel utilisateur.

-d rép_perso
    Le nouvel utilisateur sera créé en utilisant rép_perso comme valeur du répertoire de connexion de l'utilisateur. Le comportement par défaut est de concaténer utilisateur au répertoire rép_perso_défaut, et de l'utiliser en tant que nom de répertoire de connexion.

-e date_fin_validité
    La date à laquelle le compte utilisateur sera désactivé. La date est spécifiée dans le format AAAA-MM-JJ.

-f durée_inactivité
    Le nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité. La valeur par défaut est de -1.

-g groupe_initial
    Le nom du groupe ou le numéro du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe préexistant. Le numéro de groupe par défaut est de 1, ou la valeur spécifiée dans /etc/default/useradd.

-G groupe,[...]
    Une liste de groupes supplémentaires auxquels fait également partie l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles de l'option -g. Le comportement par défaut pour l'utilisateur est de n'appartenir qu'au groupe initial.

-m  Le répertoire personnel de l'utilisateur sera créé s'il n'existe pas déjà. Les fichiers contenus dans rép_squelette seront copiés dans le répertoire personnel si l'option -k est employée ; sinon, les fichiers contenus dans /etc/skel seront utilisés à la place. Tous les répertoires contenus dans rép_squelette ou dans /etc/skel seront également créés dans le répertoire personnel de l'utilisateur. L'option -k n'est valable qu'en conjonction avec l'option -m. Le comportement par défaut est de ne pas créer le répertoire, et de ne copier aucun fichier. Cette option ne fonctionne pas correctement lorsque le nom de l'utilisateur contient un « / ».

-o  Permet de créer un utilisateur avec un identifiant (« UID ») redondant (non unique).

-p mot_de_passe
    Le mot de passe chiffré, comme renvoyé par crypt(3). Le comportement par défaut est de désactiver le compte.

-s interpréteur
    Le nom de l'interpréteur de commandes initial de l'utilisateur (« login shell »). Le comportement par défaut est de laisser ce champ vide. Le système sélectionnera alors l'interpréteur par défaut.

-u uid
    La valeur numérique de l'identifiant de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Le comportement par défaut est d'utiliser la plus petite valeur d'identifiant plus grande que 99, et plus grande que celle des identifiants de tous les autres utilisateurs. Les valeurs comprises entre 0 et 99 sont généralement réservées pour les comptes systèmes.

  Modifier les valeurs par défaut
Quand il est invoqué avec l'option -D, useradd affichera soit les valeurs actuelles par défaut, soit mettra à jour les valeurs par défaut via la ligne de commande. Les options valables sont :

-b rép_perso_défaut
    Le préfixe du chemin des répertoires personnels pour les nouveaux utilisateurs. Le nom de l'utilisateur sera attaché à la fin de rép_perso pour créer le nom du nouveau répertoire si l'option -d n'est pas utilisée pendant la création d'un nouveau compte.

-e date_fin_validité_défaut
    La date à laquelle le compte utilisateur sera désactivé.

-f durée_inactivité_défaut
    Le nombre de jours après la fin de validité d'un mot de passe avant que le compte ne soit désactivé.

-g groupe_défaut
    Le nom de groupe ou l'identifiant numérique du groupe initial d'un nouvel utilisateur. Le groupe spécifié doit exister, et un identifiant de groupe numérique doit déjà exister.

-s interpréteur_défaut
    Le nom de l'interpréteur de commandes initial (« login shell ») d'un nouvel utilisateur. Le programme nommé sera utilisé pour tous les futurs nouveaux comptes utilisateur.

Si aucune option n'est spécifiée, useradd affiche les valeurs par défaut du moment.

NOTES
L'administrateur système doit se charger de placer les fichiers par défaut dans le répertoire /etc/skel.

AVERTISSEMENTS
Vous ne pouvez pas ajouter d'utilisateur à un groupe NIS. Cela doit être effectué sur le serveur NIS.

FICHIERS
/etc/passwd - informations sur les comptes des utilisateurs
/etc/shadow - mots de passe cachés des utilisateurs
/etc/group - informations sur les groupes
/etc/default/useradd - valeurs par défaut utilisées par useradd
/etc/skel - répertoire contenant les fichiers ajoutés par défaut aux nouveaux utilisateurs

VOIR AUSSI
chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), userdel(8), usermod(8)

AUTEUR
Julianne Frances Haugh <jockgrrl@ix.netcom.com>

TRADUCTION
Frédéric Delanoy, 2000.
Nicolas FRANÇOIS, 2004. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.